Package ch.qos.logback.classic.spi

## Class ClassPackagingData

- java.lang.Object
- - ch.qos.logback.classic.spi.ClassPackagingData

All Implemented Interfaces:
  `java.io.Serializable`

    public class ClassPackagingData
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ClassPackagingData​(java.lang.String codeLocation, java.lang.String version)`
`ClassPackagingData​(java.lang.String classLocation, java.lang.String version, boolean exact)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object obj)`
`java.lang.String` `getCodeLocation()`
`java.lang.String` `getVersion()`
`int` `hashCode()`
`boolean` `isExact()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassPackagingData

    public ClassPackagingData​(java.lang.String codeLocation,
                              java.lang.String version)

#### ClassPackagingData

    public ClassPackagingData​(java.lang.String classLocation,
                              java.lang.String version,
                              boolean exact)

### Method Detail

#### getCodeLocation

    public java.lang.String getCodeLocation()

#### getVersion

    public java.lang.String getVersion()

#### isExact

    public boolean isExact()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object obj)

Overrides:
  `equals` in class `java.lang.Object`